# Ipopt::MuUpdate Class Reference

Abstract Base Class for classes that implement methods for computing the barrier and fraction-to-the-boundary rule parameter for the current iteration. More...

`#include <IpMuUpdate.hpp>`

Inheritance diagram for Ipopt::MuUpdate:
[legend]

List of all members.

## Public Member Functions
virtual bool | InitializeImpl (const OptionsList &options, const std::string &prefix)=0
| Initialize method - overloaded from AlgorithmStrategyObject.
virtual bool | UpdateBarrierParameter ()=0
| Method for determining the barrier parameter for the next iteration.
Constructors/Destructors
| MuUpdate ()
| Default Constructor.
virtual | ~MuUpdate ()
| Default destructor.
## Private Member Functions
Default Compiler Generated Methods
(Hidden to avoid implicit creation/calling). These methods are not implemented and we do not want the compiler to implement them for us, so we declare them private and do not define them. This ensures that they will not be implicitly created/called.
| MuUpdate (const MuUpdate &)
| Copy Constructor.
void | operator= (const MuUpdate &)
| Overloaded Equals Operator.

## Detailed Description

Abstract Base Class for classes that implement methods for computing the barrier and fraction-to-the-boundary rule parameter for the current iteration.

Definition at line 20 of file IpMuUpdate.hpp.

## Constructor & Destructor Documentation

Ipopt::MuUpdate::MuUpdate | ( |  | ) | `[inline]`

Default Constructor.

Definition at line 26 of file IpMuUpdate.hpp.

virtual Ipopt::MuUpdate::~MuUpdate | ( |  | ) | `[inline, virtual]`

Default destructor.

Definition at line 30 of file IpMuUpdate.hpp.

Ipopt::MuUpdate::MuUpdate | ( | const MuUpdate & |  | ) | `[private]`

Copy Constructor.

## Member Function Documentation

virtual bool Ipopt::MuUpdate::InitializeImpl | ( | const OptionsList & | options,
|  | const std::string & | prefix |
| ) |  |  | `[pure virtual]`

Initialize method - overloaded from AlgorithmStrategyObject.

Implements Ipopt::AlgorithmStrategyObject.

Implemented in Ipopt::AdaptiveMuUpdate, and Ipopt::MonotoneMuUpdate.

virtual bool Ipopt::MuUpdate::UpdateBarrierParameter | ( |  | ) | `[pure virtual]`

Method for determining the barrier parameter for the next iteration.

A LineSearch object is passed, so that this method can call the Reset method in the LineSearch object, for example when then barrier parameter is changed. This method is also responsible for setting the fraction-to-the-boundary parameter tau. This method returns false if the update could not be performed and the algorithm should revert to an emergency fallback mechanism.

Implemented in Ipopt::AdaptiveMuUpdate, and Ipopt::MonotoneMuUpdate.

void Ipopt::MuUpdate::operator= | ( | const MuUpdate & |  | ) | `[private]`

Overloaded Equals Operator.

Reimplemented from Ipopt::AlgorithmStrategyObject.

Reimplemented in Ipopt::AdaptiveMuUpdate, and Ipopt::MonotoneMuUpdate.

The documentation for this class was generated from the following file:

- src/Algorithm/IpMuUpdate.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines